<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="s" uri="/struts-tags" %>

<script type="text/javascript">
    $(document).ready(function(){

       $(':checkbox').each(function(index){
           if ($("#"+index).val()==1){
                  $(this).attr("checked",true);
           }
       }) ;

         $(".checkboxLabel").each(function(index){
               var id= index+1;
             if((id)%2==0){
                 var gg=$("#parameters-"+id);
                   $("#rightP").append(gg);
                   $("#rightP").append($(this));
                 var defV= $("input[name='def"+index+"']").val();
                 var input="<input type='text'  value='"+defV+"' name='"+"value"+id+"' />";
                   $("#rightP").append(input);
                   $("#rightP").append("<br/>");
             }
             else{
                 var gg=$("#parameters-"+id);
                   $("#leftP").append(gg);
                   $("#leftP").append($(this));
                 var defV= $("input[name='def"+index+"']").val();
                 var input="<input type='text' value='"+defV+"' name='"+"value"+id+"' />";
                 $("#leftP").append(input);
                 $("#leftP").append("<br/>");
             }
         });
        $("#leftP").find("input").css("width","200px");
        $("#rightP").find("input").css("width","200px");

    });
</script>
<style type="text/css">

    #leftP,#rightP{
        width: 250px;
        float: left;
    }
</style>
<div style="margin-left: 100px;">
    <s:text name="label.modelParams" />
</div>
<br/>

<s:if test="%{!isParamsEmpty()}" >
    <s:checkboxlist list="parameters"  listKey="id" listValue="visualName" id="parameters" name="parameters" />
    <div style="width: 500px;">
            <div id="leftP"></div>
            <div id="rightP"></div>
    </div>

    <s:iterator  var="param" value="parameters" status="s_param">
        <input type="hidden" value="<s:property value="#param.defparam" />"  id="<s:property value="#s_param.index" />" />
        <input type="hidden" value="<s:property value="#param.defaultValue" />" name="def<s:property value="#s_param.index" />">
    </s:iterator>
</s:if>
<s:else>
    <s:text name="msg.nothaving.params" />
</s:else>

